org.apache.hadoop.yarn.server.api.protocolrecords

## Class SCMUploaderNotifyRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.SCMUploaderNotifyRequest

- Direct Known Subclasses:
    SCMUploaderNotifyRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SCMUploaderNotifyRequest
      extends Object

  The request from the NodeManager to the `SharedCacheManager` that notifies that a resource has been uploaded to the shared cache. The `SharedCacheManager` may reject the resource for various reasons, in which case the NodeManager should remove it from the shared cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMUploaderNotifyRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getFileName()` Get the filename of the resource that was just uploaded to the shared cache.
    `abstract String` | `getResourceKey()` Get the `key` of the resource that was just uploaded to the shared cache.
    `abstract void` | `setFilename(String filename)` Set the filename of the resource that was just uploaded to the shared cache.
    `abstract void` | `setResourceKey(String key)` Set the `key` of the resource that was just uploaded to the shared cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMUploaderNotifyRequest

          public SCMUploaderNotifyRequest()

  - ### Method Detail

    - #### getFileName

          public abstract String getFileName()

      Get the filename of the resource that was just uploaded to the shared cache.
      Returns:
        the filename

    - #### setFilename

          public abstract void setFilename(String filename)

      Set the filename of the resource that was just uploaded to the shared cache.
      Parameters:
        `filename` - the name of the file

    - #### getResourceKey

          public abstract String getResourceKey()

      Get the `key` of the resource that was just uploaded to the shared cache.
      Returns:
        `key`

    - #### setResourceKey

          public abstract void setResourceKey(String key)

      Set the `key` of the resource that was just uploaded to the shared cache.
      Parameters:
        `key` - unique identifier for the resource

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.